version: '3'
services:
  bats:
    build:
      dockerfile: Dockerfile.test
      context: .
      args:
        - 'BATS_VERSION=${BATS_VERSION}'
    volumes:
      - ../:/code
      - ../var/tmp:/tmp/
    environment:
      - '_SHEF_ROOT=/code'
      - 'EDITOR=/usr/bin/editor'
      - 'SHEF_CACHE_DIR=/tmp/.cache/shef'
      - 'SHEF_RUNTIME_DIR=/tmp/.config/shef/runtime'
      - 'SHEF_LOG_FILE=/tmp/shef.log'
      - '_SHEF_LIBEXEC_PATH=/code/libexec'
      - 'PATH=$PATH:/code/libexec'
